part of 'unit_construct_bloc.dart';

abstract class UnitConstructState extends Equatable {
  const UnitConstructState();

  @override
  List<Object> get props => [];
}

class UnitConstructLoading extends UnitConstructState {}

class UnitConstructLoaded extends UnitConstructState {
  UnitConstructLoaded(this.unit);
  final List<UnitConstruct> unit;

  @override
  List<Object> get props => [unit];
}

class UnitConstructErrorState extends UnitConstructState {
  UnitConstructErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
